ResourceManager
Date: 2012-06-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.vremanagement.resourcemanager.impl
Class ResourceManager

    java.lang.Object
      GCUBEPortType
          org.gcube.vremanagement.resourcemanager.impl.ResourceManager

    public class ResourceManager

extends GCUBEPortType

ResourceManager port-type implementation

Author:
  Manuele Simi (ISTI-CNR)

Field Summary
`static java.lang.String` | `SINGLETON_RESOURCE_KEY` Singleton resource name

Constructor Summary
`ResourceManager()`

Method Summary
`java.lang.String` | `addResources(AddResourcesParameters resourceList)` Adds a new group of `ScopedResource`s to the managed Scope
`void` | `changeScopeOptions(OptionsParameters options)` Changes some options on the scope
`java.lang.String` | `createScope(CreateScopeParameters params)`
`java.lang.String` | `disposeScope(DisposeScopeParameters params)` Disposes the managed Scope
`java.lang.String` | `getReport(java.lang.String ID)` Gets a Resource Report
`java.lang.String` | `removeResources(RemoveResourcesParameters resourceList)` Removes a group of `ScopedResource`s from the managed Scope
`void` | `sendReport(SendReportParameters reportMessage)` Receives a deployment session.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SINGLETON_RESOURCE_KEY

    public static final java.lang.String SINGLETON_RESOURCE_KEY

  Singleton resource name

  See Also:
    Constant Field Values

Constructor Detail

### ResourceManager

    public ResourceManager()

Method Detail

### addResources

    public java.lang.String addResources(AddResourcesParameters resourceList)
                                  throws ResourcesCreationFaultType,
                                         GCUBEFault

  Adds a new group of `ScopedResource`s to the managed Scope

  Parameters:
    `resourcesList` - the resources to join
  Returns:
    the ID assigned to the operation, it can be used to retrieve the resource session by invoking the `getReport(String)` operation
  Throws:
    `GCUBEFault` - if the operation fails
    `ResourcesCreationFaultType`

### removeResources

    public java.lang.String removeResources(RemoveResourcesParameters resourceList)
                                     throws ResourcesRemovalFaultType,
                                            InvalidScopeFaultType

  Removes a group of `ScopedResource`s from the managed Scope

  Parameters:
    `resourcesList` - the resources to remove from the PublishedScopeResource
  Throws:
    `GCUBEFault` - if the operation fails
    `ResourcesRemovalFaultType`
    `InvalidScopeFaultType`

### disposeScope

    public java.lang.String disposeScope(DisposeScopeParameters params)
                                  throws InvalidScopeFaultType,
                                         GCUBEFault

  Disposes the managed Scope

  Parameters:
    `params` -
  Returns:
  Throws:
    `GCUBEFault`
    `InvalidScopeFaultType`

### createScope

    public java.lang.String createScope(CreateScopeParameters params)
                                 throws InvalidScopeFaultType,
                                        InvalidOptionsFaultType,
                                        ResourcesCreationFaultType,
                                        GCUBEFault

  Throws:
    `InvalidScopeFaultType`
    `InvalidOptionsFaultType`
    `ResourcesCreationFaultType`
    `GCUBEFault`

### changeScopeOptions

    public void changeScopeOptions(OptionsParameters options)
                            throws InvalidOptionsFaultType,
                                   InvalidOptionsFaultType,
                                   GCUBEFault

  Changes some options on the scope

  Parameters:
    `options` - the new options to change
  Throws:
    `GCUBEFault` - if any of the input options is not valid
    `InvalidOptionsFaultType`

### sendReport

    public void sendReport(SendReportParameters reportMessage)
                    throws GCUBEFault

  Receives a deployment session. It is called by the Deployer services on the GHNs contacted within the `addResources(AddResourcesParameters)` operation

  Parameters:
    `session` - the resource session
  Throws:
    `GCUBEFault` - if the session does not have a valid serialization

### getReport

    public java.lang.String getReport(java.lang.String ID)
                               throws NoSuchReportFaultType

  Gets a Resource Report

  Parameters:
    `ID` - the session identifier
  Returns:
    the string serialization of the session
  Throws:
    `GNoSuchReportFaultTypeCUBEFault` - if the session is not found or does not have a valid serialization
    `NoSuchReportFaultType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD